/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.POJO;

import javax.validation.constraints.Size;
import java.util.List;


/**
 * 测试点完成详情（按人员或模块）,包括周、日
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-14 18:46:33  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "测试点完成详情（按人员或模块）,包括周、日")
public class PointCompleteDetails implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_receiverName = "receiverName";
  public static final String KEY_loginNo = "loginNo";
  public static final String KEY_moduleId = "moduleId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_news = "news";
  public static final String KEY_usering = "usering";
  public static final String KEY_dateType = "dateType";
  public static final String KEY_projectId = "projectId";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 36, message="主键id-id: 数据长度不能 > 36" )
  private String id;
  /**
   * 人员<br>
   */
  @ApiModelProperty("人员")
  @Size(max = 50, message="人员-receiverName: 数据长度不能 > 50" )
  private String receiverName;
  /**
   * 登陆账号<br>
   */
  @ApiModelProperty("登陆账号")
  @Size(max = 50, message="登陆账号-loginNo: 数据长度不能 > 50" )
  private String loginNo;
  /**
   * 模块<br>
   */
  @ApiModelProperty("模块")
  @Size(max = 50, message="模块-moduleId: 数据长度不能 > 50" )
  private String moduleId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 新建<br>
   */
  @ApiModelProperty("新建")
  private Integer news;
  /**
   * 使用中<br>
   */
  @ApiModelProperty("使用中")
  private Integer usering;
  /**
   * 0：日 1：周 2:总体<br>
   */
  @ApiModelProperty("0：日 1：周 2:总体")
  private Integer dateType;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 人员<br>
   */
  public String getReceiverName()
  {
      return receiverName;
    }

  /**
   * 人员<br>
   *
   * @param receiverName 人员
   */
  public void setReceiverName(String receiverName)
  {
      this.receiverName = receiverName;
    }
  /**
   * 登陆账号<br>
   */
  public String getLoginNo()
  {
      return loginNo;
    }

  /**
   * 登陆账号<br>
   *
   * @param loginNo 登陆账号
   */
  public void setLoginNo(String loginNo)
  {
      this.loginNo = loginNo;
    }
  /**
   * 模块<br>
   */
  public String getModuleId()
  {
      return moduleId;
    }

  /**
   * 模块<br>
   *
   * @param moduleId 模块
   */
  public void setModuleId(String moduleId)
  {
      this.moduleId = moduleId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 新建<br>
   */
  public Integer getNews()
  {
      return news;
    }

  /**
   * 新建<br>
   *
   * @param news 新建
   */
  public void setNews(Integer news)
  {
      this.news = news;
    }
  /**
   * 使用中<br>
   */
  public Integer getUsering()
  {
      return usering;
    }

  /**
   * 使用中<br>
   *
   * @param usering 使用中
   */
  public void setUsering(Integer usering)
  {
      this.usering = usering;
    }
  /**
   * 0：日 1：周 2:总体<br>
   */
  public Integer getDateType()
  {
      return dateType;
    }

  /**
   * 0：日 1：周 2:总体<br>
   *
   * @param dateType 0：日 1：周 2:总体
   */
  public void setDateType(Integer dateType)
  {
      this.dateType = dateType;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }

  public PointCompleteDetails()
  {
  }

}
